Skip to main content
POST
/
api
/
external
/
v2
/
product-swaps-by-variant-groups
Get product swap options for subscription items
curl --request POST \
  --url https://membership-admin.appstle.com/api/external/v2/product-swaps-by-variant-groups \
  --header 'Content-Type: application/json' \
  --data '
{
  "variantQuantityList": [
    {
      "variantId": 123456,
      "quantity": 2
    },
    {
      "variantId": 789012,
      "quantity": 1
    }
  ]
}
'
"<array>"

Documentation Index

Fetch the complete documentation index at: https://appstleinc-aeca3e0a.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-API-Key
string

API Key for authentication (Preferred method - use this instead of api_key parameter)

Query Parameters

api_key
string

API Key (Deprecated - Use Header X-API-Key instead)

Body

application/json

List of variants with quantities to find swap options for

variantQuantityList
object[]

Response

Swap options successfully retrieved with up to 5 levels of suggestions